XSModelGroupImpl (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.impl.xs

## Class XSModelGroupImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSModelGroupImpl

- All Implemented Interfaces:
    org.apache.xerces.xs.XSModelGroup, org.apache.xerces.xs.XSObject, org.apache.xerces.xs.XSTerm

      public class XSModelGroupImpl
      extends java.lang.Object
      implements org.apache.xerces.xs.XSModelGroup

  Store schema model group declaration.
  Version:
    $Id: XSModelGroupImpl.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.xerces.xs.XSObjectList` | `fAnnotations`
    `short` | `fCompositor`
    `int` | `fParticleCount`
    `XSParticleDecl[]` | `fParticles`
    `static short` | `MODELGROUP_ALL`
    `static short` | `MODELGROUP_CHOICE`
    `static short` | `MODELGROUP_SEQUENCE`

    - ### Fields inherited from interface org.apache.xerces.xs.XSModelGroup

      `COMPOSITOR_ALL, COMPOSITOR_CHOICE, COMPOSITOR_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSModelGroupImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.xs.XSAnnotation` | `getAnnotation()` Optional.
    `org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
    `short` | `getCompositor()` {compositor} One of all, choice or sequence.
    `java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
    `java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
    `org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
    `org.apache.xerces.xs.XSObjectList` | `getParticles()` {particles} A list of particles
    `short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
    `boolean` | `isEmpty()`
    `int` | `maxEffectiveTotalRange()`
    `int` | `minEffectiveTotalRange()` 3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle.
    `void` | `reset()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODELGROUP_CHOICE

          public static final short MODELGROUP_CHOICE

      See Also:
        Constant Field Values

    - #### MODELGROUP_SEQUENCE

          public static final short MODELGROUP_SEQUENCE

      See Also:
        Constant Field Values

    - #### MODELGROUP_ALL

          public static final short MODELGROUP_ALL

      See Also:
        Constant Field Values

    - #### fCompositor

          public short fCompositor

    - #### fParticles

          public XSParticleDecl[] fParticles

    - #### fParticleCount

          public int fParticleCount

    - #### fAnnotations

          public org.apache.xerces.xs.XSObjectList fAnnotations

  - ### Constructor Detail

    - #### XSModelGroupImpl

          public XSModelGroupImpl()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### minEffectiveTotalRange

          public int minEffectiveTotalRange()

      3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle. They are not exactly the same as it's described in the spec, but all the values from the spec are retrievable by these methods.

    - #### maxEffectiveTotalRange

          public int maxEffectiveTotalRange()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### reset

          public void reset()

    - #### getType

          public short getType()

      Get the type of the object, i.e ELEMENT_DECLARATION.
      Specified by:
        `getType` in interface `org.apache.xerces.xs.XSObject`

    - #### getName

          public java.lang.String getName()

      The `name` of this `XSObject` depending on the `XSObject` type.
      Specified by:
        `getName` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
      Specified by:
        `getNamespace` in interface `org.apache.xerces.xs.XSObject`

    - #### getCompositor

          public short getCompositor()

      {compositor} One of all, choice or sequence. The valid constants values are: ALL, CHOICE, SEQUENCE.
      Specified by:
        `getCompositor` in interface `org.apache.xerces.xs.XSModelGroup`

    - #### getParticles

          public org.apache.xerces.xs.XSObjectList getParticles()

      {particles} A list of particles
      Specified by:
        `getParticles` in interface `org.apache.xerces.xs.XSModelGroup`

    - #### getAnnotation

          public org.apache.xerces.xs.XSAnnotation getAnnotation()

      Optional. Annotation.
      Specified by:
        `getAnnotation` in interface `org.apache.xerces.xs.XSModelGroup`

    - #### getAnnotations

          public org.apache.xerces.xs.XSObjectList getAnnotations()

      Optional. Annotations.
      Specified by:
        `getAnnotations` in interface `org.apache.xerces.xs.XSModelGroup`

    - #### getNamespaceItem

          public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

      Description copied from interface: `org.apache.xerces.xs.XSObject`
      A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
      Specified by:
        `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
      See Also:
        `XSObject.getNamespaceItem()`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.